html {
    scroll-behavior: auto;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
div,
span {
    font-family: 'Aller', 'sans-serif' !important;
}

/* Scrollbar */

.scrollbar-hide {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.scrollbar-hide::-webkit-scrollbar {
    display: none;
}

/* Container */

.section {
    position: relative;
    padding: 5rem 0;
    overflow: hidden;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin-left: 0 !important;
    margin-right: 0 !important;
}

[class*="col-"] {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.container {
    max-width: 1440px !important;
    position: relative !important;
    width: 100% !important;
    margin: 0 auto !important;
    padding: 0 1rem !important;
}

@media (min-width: 768px) {

    .container {
        padding: 0 1.5rem !important;
    }
}

/* Logo Button */

.logo-btn {
    display: flex;
    gap: 0.75rem;
    align-items: center;
    text-decoration: none;
    transition: opacity 0.3s ease;
    cursor: pointer;
}

.logo-btn:hover {
    opacity: 0.8;
    text-decoration: none;
}

.logo .text-container {
    display: flex;
    flex-direction: column;
}

.logo .text-container span {
    text-transform: uppercase;
}

.logo .text-container .title {
    letter-spacing: 0.05em;
    color: #1f305c;
    font-weight: bold;
}

.logo .text-container .subtitle {
    font-size: 0.75rem;
    color: #666666;
}

/* Line clamp */

.line-clamp {
    --number: 2;

    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: var(--number);
}

/* Bouton */

.btn-primary {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0.75rem 1.5rem;
    border-radius: 0.75rem;
    font-size: 0.875rem;
    line-height: calc(1.25 / 0.875);
    font-weight: 500;
    text-decoration: none !important;
    color: white;
    background: linear-gradient(to right, #1f305c, #2c4482);
    transition-duration: 300ms;
}

.btn-primary:hover {
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    transform: scale(1.05);
    background: linear-gradient(to right, #1f305c, #324e95);
}

.btn-primary svg {
    margin-left: 0.5rem;
    height: 1rem !important;
    width: 1rem !important;
    transition: transform 0.2s ease-in-out;
}

.btn-primary:hover svg {
    transform: translateX(0.25rem);
}

.btn-secondary {
    text-decoration: none !important;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0.75rem 1.5rem;
    border-radius: 0.75rem;
    font-size: 0.875rem;
    line-height: calc(1.25 / 0.875);
    font-weight: 500;
    background-color: white;
    border: 1px solid #84939c;
    color: #84939c;
    transition-duration: 300ms;
}

.btn-secondary:hover {
    color: white;
    background-color: #84939c;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
}

/* Grid */

.column-2 {
    display: grid;
    grid-template-columns: repeat(1, minmax(0, 1fr));
    align-items: center;
    gap: 4rem;
}

@media (min-width: 1024px) {
    .column-2 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}